MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005753ardourbugspublic2013-10-26 23:352016-10-30 03:05
ReporterMario 
Assigned Totimbyr 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version5.X git (version in description) 
Summary0005753: Keyboard input breaks group behavior
DescriptionIf you define a group with gain sharing then you can edit gain values (with your keyboard) in the mixer without syncing group members. You can still use the gain sliders though with the expected behavior.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0015467)
Mario (reporter)
2013-10-27 04:22

Just had a look into the code and found this in gain_meter.cc at GainMeterBase::effective_gain_display ()

    if (gain_adjustment.get_value() != value) {
        ignore_toggle = true;
        gain_adjustment.set_value (value);
        ignore_toggle = false;


I'm not sure actually why gain_adjustment.set_value is surrounded by the ignore flags but it works as expected if you just comment both. Alternatively you could add this:

        gain_adjusted ();


As I am not able to write to the git repository, would anybody please take a minute to resolve this?
(0017745)
Mario (reporter)
2015-12-26 15:55

This is still an issue in revision 4.4-621-gb1bf6be. Manually typing gain values breaks group behavoir. As this one is more than two years old and it would take just a minute to fix it would be nice if anyone could take the time...
(0018876)
timbyr (developer)
2016-10-30 03:04

I can't reproduce this in 5.4 or a nightly build 5.4.226

I'm going to mark this issue as resolved. If the reported tests a recent version and thinks otherwise they can re-open.

- Issue History
Date Modified Username Field Change
2013-10-26 23:35 Mario New Issue
2013-10-27 04:22 Mario Note Added: 0015467
2015-12-26 15:55 Mario Note Added: 0017745
2016-10-30 03:04 timbyr Note Added: 0018876
2016-10-30 03:05 timbyr Status new => resolved
2016-10-30 03:05 timbyr Fixed in Version => 5.X git (version in description)
2016-10-30 03:05 timbyr Resolution open => fixed
2016-10-30 03:05 timbyr Assigned To => timbyr


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker